CVE-2020-11722

NameCVE-2020-11722
DescriptionDungeon Crawl Stone Soup (aka DCSS or crawl) before 0.25 allows remote attackers to execute arbitrary code via Lua bytecode embedded in an uploaded .crawlrc file.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh
Debian Bugs958232

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
crawl (PTS)jessie2:0.15.1-1vulnerable
stretch2:0.19.3-1vulnerable
buster2:0.23.0-1vulnerable
bullseye, sid2:0.24.0-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
crawlsource(unstable)(unfixed)958232

Notes

[buster] - crawl <no-dsa> (Minor issue)
[stretch] - crawl <no-dsa> (Minor issue)
[jessie] - crawl <no-dsa> (Minor issue)
https://dpmendenhall.blogspot.com/2020/03/dungeon-crawl-stone-soup.html
https://github.com/crawl/crawl/commit/768f60da87a3fa0b5561da5ade9309577c176d04
https://github.com/crawl/crawl/commit/fc522ff6eb1bbb85e3de60c60a45762571e48c28

Search for package or bug name: Reporting problems